## kile-trinity 14.1.5

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( kile )


#### include essential cmake modules

include( FindPerl               )
include( FindPkgConfig          )
include( CheckFunctionExists    )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS "Enable all optional support" OFF                                          )
option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL "Build all" ON                             )
option( BUILD_DOC "Build documentation" ${BUILD_ALL}         )
option( BUILD_TRANSLATIONS "Build translations" ${BUILD_ALL} )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/CMakeLists.txt ===

add_subdirectory( kile )


##### other data

tde_create_translated_desktop(
  SOURCE x-kilepr.desktop
  DESTINATION ${MIME_INSTALL_DIR}/text
)

install(
  FILES kile.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR}
)

install(
  PROGRAMS
    kile1.6_upd.pl kile1.7_upd.pl kile1.9_upd.pl kile1.9-1_upd.pl
    kile2.0-1_upd.pl kile2.0-2_upd.pl kile2.0-3_upd.pl kile2.0-4_upd.pl kile2.0-5_upd.pl
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR}
)

=== src/kile/CMakeLists.txt ===

add_subdirectory( icons )
add_subdirectory( pics )
add_subdirectory( symbols )
add_subdirectory( templates )
add_subdirectory( syntax )
add_subdirectory( complete )
add_subdirectory( help )
add_subdirectory( encodings )
add_subdirectory( test )


include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


#####

set( _target ${PROJECT_NAME} )

set( ${_target}_SRCS
    latexcmd.cpp
    latexcmddialog.cpp
    texdocdialog.cpp
    userhelp.cpp
    userhelpdialog.cpp
    floatdialog.cpp
    mathenvdialog.cpp
    tabulardialog.cpp
    postscriptdialog.cpp
    previewconfigwidget.cpp
    quickpreview.cpp
    includegraphicsdialog.cpp
    newfilewizard.cpp
    managetemplatesdialog.cpp
    templates.cpp
    usermenudialog.cpp
    kileconfigdialog.cpp
    tabbingdialog.cpp
    symbolview.cpp
    quickdocumentdialog.cpp
    kilefileselect.cpp
    kileapplication.cpp
    docpart.cpp
    kile.cpp
    main.cpp
    kileactions.cpp
    kilestdactions.cpp
    kileinfo.cpp
    kiledocumentinfo.cpp
    kileproject.cpp
    kileprojectdlgs.cpp
    kileprojectview.cpp
    kilelistselector.cpp
    kilelyxserver.cpp
    latexoutputfilter.cpp
    outputinfo.cpp
    latexoutputinfo.cpp
    outputfilter.cpp
    kilegrepdialog.cpp
    kiletool.cpp
    kilelauncher.cpp
    kiletoolmanager.cpp
    kilestdtools.cpp
    kilelogwidget.cpp
    kileoutputwidget.cpp
    kilekonsolewidget.cpp
    kilewizard.cpp
    kilestructurewidget.cpp
    codecompletion.cpp
    configcodecompletion.cpp
    kiletoolconfigwidget.cpp
    kileedit.cpp
    cleandialog.cpp
    kilehelp.cpp
    configstructure.cpp
    convert.cpp
    kiledocmanager.cpp
    kileviewmanager.cpp
    kileeventfilter.cpp
    kileerrorhandler.cpp
    configcheckerdlg.cpp
    configtester.cpp
    kilesidebar.cpp
    plaintolatexconverter.cpp
    kileuntitled.cpp
    kilestatsdlg.cpp
    kilestatswidget.cpp
    previewwidget.cpp
    kilejscript.cpp
    scriptsmanagementwidget.cpp
    editorkeysequencemanager.cpp
    kileversion.cpp
    kileabbrevview.cpp
    kileextensions.cpp
    kilemultitabbar.cpp

    helpconfigwidget.ui
    latexconfigwidget.ui
    generalconfigwidget.ui
    configcheckerwidget.ui
    toolconfigwidget.ui
    librarytoolconfigwidget.ui
    processtoolconfigwidget.ui
    quicktoolconfigwidget.ui
    latextoolconfigwidget.ui
    newtoolwizard.ui
    envconfigwidget.ui
    structureconfigwidget.ui
    symbolviewconfig.ui
    scriptingconfigwidget.ui
    graphicsconfigwidget.ui
    newdocumentwidget.ui

    kileappIface.skel

    kileconfig.kcfgc
)

add_custom_command( OUTPUT kilejscript.lut.h
  COMMAND ${PERL_EXECUTABLE} ARGS ${CMAKE_CURRENT_SOURCE_DIR}/create_hash_table
    ${CMAKE_CURRENT_SOURCE_DIR}/kilejscript.cpp > kilejscript.lut.h
  DEPENDS kilejscript.cpp
)
set_property( SOURCE kilejscript.cpp APPEND PROPERTY
  OBJECT_DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/kilejscript.lut.h
)

tde_add_executable( ${_target} AUTOMOC
  SOURCES
        ${${_target}_SRCS}
  LINK
     tdecore-shared
     tdehtml-shared
     tdeprint-shared
     tdetexteditor-shared
     katepartinterfaces-shared
     kjs-shared

  DESTINATION ${BIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop( kile.desktop )

install( FILES kile.kcfg DESTINATION ${KCFG_INSTALL_DIR} )

install(
  FILES kileui.rc docpartui.rc kilestdtools.rc tips
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

=== src/kile/encodings/CMakeLists.txt ===

########### install files ###############

file( GLOB _files *.enc )
list( SORT _files )

install(
  FILES ${_files}
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/encodings
)

=== src/kile/symbols/CMakeLists.txt ===

##### install files

file( GLOB _symbols RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} * )
list( SORT _symbols )

foreach( _symbol IN LISTS _symbols )
  if( IS_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}/${_symbol} )
    file( GLOB _files ${_symbol}/*.png )
    list( SORT _files )
    install(
      FILES ${_files}
      DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/mathsymbols/${_symbol}
    )
  endif()
endforeach()


########### next target ###############

include_directories(
  ${CMAKE_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


tde_add_executable( gesymb AUTOMOC
  SOURCES
      gesymb.cpp
  LINK
    ${TQT_LIBRARIES}
)

=== src/kile/test/CMakeLists.txt ===

########### install files ###############

install(
  PROGRAMS runTests.sh
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/test
)

install(
  FILES
    test.tex
    test_plain.tex
    test.bib
    test_bib.tex
    test_index.tex
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/test
)

=== src/kile/icons/actions/CMakeLists.txt ===

########### install files ###############

tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/icons )

## kile-trinity 3.5.13.2

=== debian/changelog ===
kile-trinity (4:3.5.13.2-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 20:15:57 +0200

kile-trinity (1:2.0.2-1ubuntu0) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kile-trinity (1:2.0.2-0ubuntu5) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

kile-trinity (1:2.0.2-0ubuntu3) intrepid; urgency=low

  * Remove prior Intrepid Okular changes

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 11 Dec 2008 13:45:00 -0600

kile (1:2.0.1-1ubuntu1) intrepid; urgency=low

  * Kile should work with okular. (LP: #282311)
    - Add patch kubuntu_01_use_okular.diff to have DVI/PS/PDF view
      options for Okular and set these as default.
    - Add okular to recommends for package kile.
    - Remove recommends on kghostview, kpdf as they are not in intrepid
      and replaced by okular.
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Andreas Wenning <awen@awen.dk>  Sat, 18 Oct 2008 00:24:14 +0200

kile (1:2.0.1-1) unstable; urgency=low

  * New upstream release (Closes: #458512)
  * Bump compat/debhelper to 6

 -- Fathi Boudra <fabo@debian.org>  Sat, 17 May 2008 20:26:09 +0200

kile (1:2.0.1~rc1-1) unstable; urgency=low

  * New upstream release
  * Remove automake1.9 and libtool build dependencies
  * Switch to quilt patch system
  * Bump Standards-Version to 3.7.3
  * Add Vcs-Browser and Vcs-Svn fields
  * Use Homepage field
  * Add Arabic, Bulgarian, Malay, Low Saxon and Thai translations packages
  * Update copyright
  * Update menu file to latest Debian menu policy
  * Use --as-needed flags
  * Promote kpdf to Recommends
  * Add dvipng to Recommends

 -- Fathi Boudra <fabo@debian.org>  Mon, 17 Mar 2008 16:41:14 +0100

kile (1:2.0-1) unstable; urgency=low

  * New upstream release

 -- Mark Purcell <msp@debian.org>  Tue, 20 Nov 2007 20:47:13 +0000

kile (1:2.0~b1-1) unstable; urgency=low

  * New Upstream Release
  * Remove obsolete patches:
    - debian/patches/03_libtool_update.diff
    - debian/patches/11_fifo_in_tmp.diff
    - debian/patches/12_remove_kilespell.diff
    - debian/patches/07_remove_tips_cpp.diff

 -- Mark Purcell <msp@debian.org>  Thu, 06 Sep 2007 10:53:22 +0100

kile (1:1.9.3-4) unstable; urgency=low

  * Fix wrong conflicts/replaces of kile-i18n-* packages. (Closes: 428340)
    Thanks to Michael Biebl.
  * Remove Ana from uploaders field as she requested.

 -- Fathi Boudra <fboudra@free.fr>  Mon, 11 Jun 2007 19:47:43 +0200

kile (1:1.9.3-3) unstable; urgency=low

  * Update tex documentation location and fifo in tmp patches.
  * Add patch to remove tips.cpp. Fix FTBFS on Ubuntu.
  * Add patch to remove kilespell. (Closes: #416936)
  * Split kile-i18n in kile-i18n-*. (Closes: #425996)
  * Update control:
    * Remove tetex-* Depends/Recommends. (Closes: #419763)
    * Replace texlive-base-bin by texlive-latex-base

 -- Fathi Boudra <fboudra@free.fr>  Sat, 26 May 2007 13:07:10 +0200

kile (1:1.9.3-2) unstable; urgency=low

  * Suggest: kpdf, gv (Closes: #408824)
    - kile: Kile should suggest/recommend kpdf and gv
  * Basic get-orig-source target
  * Apply fifo-in-tmp patch from Thomas Braun
    - kile becomes CPU hog when "Let Kile process LyX..." is checked in
    config (Closes: #406470)

 -- Mark Purcell <msp@debian.org>  Thu, 22 Mar 2007 22:02:39 +0000

kile (1:1.9.3-1) unstable; urgency=low

  [Fathi Boudra]
  * New upstream release

 -- Fathi Boudra <fboudra@free.fr>  Mon, 20 Nov 2006 10:28:34 +0100

kile (1:1.9.2-2) unstable; urgency=low

  [Fathi Boudra]
  * Fix tex help path. Thanks to Thomas Braun (Closes: #359872)
  * Fix not-binnmuable-all-depends-any

 -- Fathi Boudra <fboudra@free.fr>  Mon, 16 Oct 2006 15:35:17 +0200

kile (1:1.9.2-1) unstable; urgency=low

  [Fathi Boudra]
  * New upstream release (Closes: #337550, #359932, #382317)

 -- Fathi Boudra <fboudra@free.fr>  Sat, 19 Aug 2006 15:45:38 +0200

kile (1:1.9.1-2) unstable; urgency=low

  [Mark Purcell]
  * Update debian/watch

  [Ana Beatriz Guerrero Lopez]
  * Dropping re-libtoolizing at build time, instead updating libtool
    with a patch. (Closes: #379827).

 -- Ana Beatriz Guerrero Lopez <ana@ekaia.org>  Fri, 28 Jul 2006 22:20:06 +0200

kile (1:1.9.1-1) unstable; urgency=low

  [Fathi Boudra]
  * New maintainers with Ben's agreement
    * Maintainer: KDE Extras Team
    * Uploaders: Ana Beatriz Guerrero Lopez, Mark Purcell and Fathi Boudra
  * New upstream release (Closes: #337550, #358250, #358857, #276348, #221898,
    #285035)
  * Converted package to cdbs
  * compat: bumped to 5
  * control:
    * removed unneeded Build-depends: libqt3-compat-headers and g++-3.4
      (Closes: #342995)
    * bumped Standards-Version to 3.7.2
    * added texlive-base-bin in Depends (Closes: #372191)
    * added Homepage in long description
  * copyright:
    * added missing copyright for kile grep dialog, plain to latex converter,
      quick document dialog, stats dialog, and create package script
  * docs: merged kile.docs and kile-i18n.docs
  * kile-i18n.install: added es documentation
  * kile.manpages: removed, replaced by an entry in rules
  * kile.menu: renamed to menu
  * README.Debian: merged kile.README.Debian and kile-i18n.README.Debian
  * Added watch file

  [Ana Beatriz Guerrero Lopez]
  * re-libtoolizing at build time, so now the package doesn't depend from
    libfreetype6 and other spurious libraries.
  * removed kile.doc-base
  * fixed perms of runTests.sh
  * cosmetic changes in long description

 -- Fathi Boudra <fboudra@free.fr>  Sun, 25 Jun 2006 10:58:50 +0200

kile (1:1.8.1-3.2) unstable; urgency=low

  * Non-maintainer upload with maintainer's consent.
  * No source-changes upload to make kile-i18n installable again after its


=== debian/control ===
Source: kile-trinity
Section: tex
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 6), quilt, kdelibs4-trinity-dev, pkg-config, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://kile.sourceforge.net

Package: kile-trinity
Architecture: any
Section: tex
Replaces: kile-kde3 (<< 4:3.5.13)
Breaks: kile-kde3 (<< 4:3.5.13)
Depends: ${shlibs:Depends}, konsole-trinity, texlive-latex-base
Recommends: kdvi-trinity, dvipng, kghostview-trinity, kpdf-trinity
Suggests: gbib, latex2html, pybliographer, xfig, kile-trinity-i18n, gv
Description: KDE Integrated LaTeX Environment [Trinity]
 Kile is a user-friendly LaTeX source editor and TeX shell for KDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-trinity-i18n-ar
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ar (<< 4:3.5.13)
Breaks: kile-kde3-i18n-ar (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-ar
Provides: kile-trinity-i18n
Description: Arabic (ar) translations for Kile [Trinity]
 This package contains the Arabic translations for Kile.

Package: kile-trinity-i18n-bg
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-bg (<< 4:3.5.13)
Breaks: kile-kde3-i18n-bg (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-bg
Provides: kile-trinity-i18n
Description: Bulgarian (bg) translations for Kile [Trinity]
 This package contains the Bulgarian translations for Kile.

Package: kile-trinity-i18n-br
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-br (<< 4:3.5.13)
Breaks: kile-kde3-i18n-br (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-br
Provides: kile-trinity-i18n
Description: Brazilian (br) translations for Kile [Trinity]
 This package contains the Brazilian translations for Kile.

Package: kile-trinity-i18n-ca
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ca (<< 4:3.5.13)
Breaks: kile-kde3-i18n-ca (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-ca
Provides: kile-trinity-i18n
Description: Catalan (ca) translations for Kile [Trinity]
 This package contains the Catalan translations for Kile.

Package: kile-trinity-i18n-cs
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-cs (<< 4:3.5.13)
Breaks: kile-kde3-i18n-cs (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-cs
Provides: kile-trinity-i18n
Description: Czech (cs) translations for Kile [Trinity]
 This package contains the Czech translations for Kile.

Package: kile-trinity-i18n-cy
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-cy (<< 4:3.5.13)
Breaks: kile-kde3-i18n-cy (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-cy
Provides: kile-trinity-i18n
Description: Welsh (cy) translations for Kile [Trinity]
 This package contains the Welsh translations for Kile.

Package: kile-trinity-i18n-da
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-da (<< 4:3.5.13)
Breaks: kile-kde3-i18n-da (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-da
Provides: kile-trinity-i18n
Description: Danish (da) translations for Kile [Trinity]
 This package contains the Danish translations for Kile.

Package: kile-trinity-i18n-de
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-de (<< 4:3.5.13)
Breaks: kile-kde3-i18n-de (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-de
Provides: kile-trinity-i18n
Description: German (de) translations for Kile [Trinity]
 This package contains the German translations for Kile.

Package: kile-trinity-i18n-el
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-el (<< 4:3.5.13)
Breaks: kile-kde3-i18n-el (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-el
Provides: kile-trinity-i18n
Description: Greek (el) translations for Kile [Trinity]
 This package contains the greek translations for Kile.

Package: kile-trinity-i18n-engb
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-engb (<< 4:3.5.13)
Breaks: kile-kde3-i18n-engb (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-engb
Provides: kile-trinity-i18n
Description: British English (en_GB) translations for Kile [Trinity]
 This package contains the British English (en_GB) translations for Kile [Trinity].

Package: kile-trinity-i18n-es
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-es (<< 4:3.5.13)
Breaks: kile-kde3-i18n-es (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-es
Provides: kile-trinity-i18n
Description: Spanish (es) translations for Kile [Trinity]
 This package contains the Spanish translations for Kile.

Package: kile-trinity-i18n-et
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-et (<< 4:3.5.13)
Breaks: kile-kde3-i18n-et (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-et
Provides: kile-trinity-i18n
Description: Estonian (et) translations for Kile [Trinity]
 This package contains the Estonian translations for Kile.

Package: kile-trinity-i18n-eu
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-eu (<< 4:3.5.13)
Breaks: kile-kde3-i18n-eu (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-eu
Provides: kile-trinity-i18n
Description: Basque (eu) translations for Kile [Trinity]
 This package contains the Basque translations for Kile.

Package: kile-trinity-i18n-fi
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-fi (<< 4:3.5.13)
Breaks: kile-kde3-i18n-fi (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-fi
Provides: kile-trinity-i18n
Description: Finnish (fi) translations for Kile [Trinity]
 This package contains the Finnish translations for Kile.

Package: kile-trinity-i18n-fr
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-fr (<< 4:3.5.13)
Breaks: kile-kde3-i18n-fr (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-fr
Provides: kile-trinity-i18n
Description: French (fr) translations for Kile [Trinity]
 This package contains the French translations for Kile.

Package: kile-trinity-i18n-ga
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ga (<< 4:3.5.13)
Breaks: kile-kde3-i18n-ga (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-ga
Provides: kile-trinity-i18n
Description: Irish Gaelic (ga) translations for Kile [Trinity]
 This package contains the Irish Gaelic translations for Kile.

Package: kile-trinity-i18n-gl
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-gl (<< 4:3.5.13)
Breaks: kile-kde3-i18n-gl (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-gl
Provides: kile-trinity-i18n
Description: Galician (gl) translations for Kile [Trinity]
 This package contains the Galician translations for Kile.

Package: kile-trinity-i18n-hi
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-hi (<< 4:3.5.13)
Breaks: kile-kde3-i18n-hi (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-hi
Provides: kile-trinity-i18n
Description: Hindi (hi) translations for Kile [Trinity]
 This package contains the Hindi translations for Kile.

Package: kile-trinity-i18n-hu
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-hu (<< 4:3.5.13)
Breaks: kile-kde3-i18n-hu (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-hu
Provides: kile-trinity-i18n
Description: Hungarian (hu) translations for Kile [Trinity]
 This package contains the Hungarian translations for Kile.

Package: kile-trinity-i18n-is
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-is (<< 4:3.5.13)
Breaks: kile-kde3-i18n-is (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-is
Provides: kile-trinity-i18n
Description: Icelandic (is) translations for Kile [Trinity]
 This package contains the Icelandic translations for Kile.

Package: kile-trinity-i18n-it
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-it (<< 4:3.5.13)
Breaks: kile-kde3-i18n-it (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-it
Provides: kile-trinity-i18n
Description: Italian (it) translations for Kile [Trinity]
 This package contains the Italian translations for Kile.

Package: kile-trinity-i18n-ja
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ja (<< 4:3.5.13)
Breaks: kile-kde3-i18n-ja (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-ja
Provides: kile-trinity-i18n
Description: Japanese (ja) translations for Kile [Trinity]
 This package contains the Japanese translations for Kile.

Package: kile-trinity-i18n-lt
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-lt (<< 4:3.5.13)
Breaks: kile-kde3-i18n-lt (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-lt
Provides: kile-trinity-i18n
Description: Lithuanian (lt) translations for Kile [Trinity]
 This package contains the Lithuanian translations for Kile.

Package: kile-trinity-i18n-ms
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ms (<< 4:3.5.13)
Breaks: kile-kde3-i18n-ms (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-ms
Provides: kile-trinity-i18n
Description: Malay (ms) translations for Kile [Trinity]
 This package contains the Malay translations for Kile.

Package: kile-trinity-i18n-mt
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-mt (<< 4:3.5.13)
Breaks: kile-kde3-i18n-mt (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Provides: kile-trinity-i18n
Description: Maltese (mt) translations for Kile [Trinity]
 This package contains the Maltese translations for Kile.

Package: kile-trinity-i18n-nb
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-nb (<< 4:3.5.13)
Breaks: kile-kde3-i18n-nb (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-nb
Provides: kile-trinity-i18n
Description: Norwegian Bookmal (nb) translations for Kile [Trinity]
 This package contains the Norwegian Bookmal translations for Kile.

Package: kile-trinity-i18n-nds
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-nds (<< 4:3.5.13)
Breaks: kile-kde3-i18n-nds (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-nds
Provides: kile-trinity-i18n
Description: Low Saxon (nds) translations for Kile [Trinity]
 This package contains the Low Saxon translations for Kile.

Package: kile-trinity-i18n-nl
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-nl (<< 4:3.5.13)
Breaks: kile-kde3-i18n-nl (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-nl
Provides: kile-trinity-i18n
Description: Dutch (nl) translations for Kile [Trinity]
 This package contains the Dutch translations for Kile.

Package: kile-trinity-i18n-nn
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-nn (<< 4:3.5.13)
Breaks: kile-kde3-i18n-nn (<< 4:3.5.13)
Depends: kile-trinity (>= ${source:Version})
Recommends: kde-trinity-i18n-nn
Provides: kile-trinity-i18n

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--as-needed"
DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
DEB_INSTALL_MANPAGES_kile := debian/kile.1
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/kile-trinity-i18n-br::
	-for language in `cd translations; ls -1d */`; do \
		cd $(CURDIR)/$(DEB_BUILDDIR)/translations/$$language; \
		$(MAKE) install DESTDIR=$(CURDIR)/debian/kile-trinity-i18n-$$language; \
	done

	cd $(CURDIR)/$(DEB_BUILDDIR)/translations/en_GB/; \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kile-trinity-i18n-engb

	cd $(CURDIR)/$(DEB_BUILDDIR)/translations/pt_BR/; \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kile-trinity-i18n-ptbr

	cd $(CURDIR)/$(DEB_BUILDDIR)/translations/sr@Latn/;\
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kile-trinity-i18n-srlatin

	cd $(CURDIR)/$(DEB_BUILDDIR)/translations/zh_CN/; \
	$(MAKE) install DESTDIR=$(CURDIR)/debian/kile-trinity-i18n-zhcn

install/kile-trinity::
	# Install pixmap
	install -D -p -m0644 debian/kile.xpm debian/kile-trinity/opt/trinity/share/pixmaps/kile.xpm

	chmod +x debian/tmp/opt/trinity/share/apps/kile/test/runTests.sh

clean::
	rm -rf debian/kile-trinity-i18n-*

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]
	@@dpatch-get-origtargz ../tarballs

## kile-trinity 14.0.4

=== debian/changelog ===
kile-trinity (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 13:21:26 +0200

## kile-trinity 14.0.5

=== debian/changelog ===
kile-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 07:34:53 +0200

=== debian/control ===
Source: kile-trinity
Section: tex
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, pkg-config, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://kile.sourceforge.net

Package: kile-trinity
Architecture: any
Section: tex
Replaces: kile-kde3 (<< 4:14.0.0~), kile-trinity (<< 4:14.0.0~)
Breaks: kile-kde3 (<< 4:14.0.0~), kile-trinity (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, konsole-trinity, texlive-latex-base
Recommends: kdvi-trinity, dvipng, kghostview-trinity, kpdf-trinity
Suggests: gbib, latex2html, pybliographer, xfig, kile-trinity-i18n, gv
Description: TDE Integrated LaTeX Environment [Trinity]
 Kile is a user-friendly LaTeX source editor and TeX shell for TDE.
 .
 The source editor is a multi-document editor designed for .tex and .bib
 files.  Menus, wizards and auto-completion are provided to assist with
 tag insertion and code generation.  A structural view of the document
 assists with navigation within source files.
 .
 The TeX shell integrates the various tools required for TeX processing.
 It assists with LaTeX compilation, DVI and postscript document viewing,
 generation of bibliographies and indices and other common tasks.
 .
 Kile can support large projects consisting of several smaller files.

Package: kile-trinity-i18n-ar
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ar (<< 4:14.0.0~), kile-trinity-i18n-ar (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-ar (<< 4:14.0.0~), kile-trinity-i18n-ar (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-ar-trinity
Provides: kile-trinity-i18n
Description: Arabic (ar) translations for Kile [Trinity]
 This package contains the Arabic translations for Kile.

Package: kile-trinity-i18n-bg
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-bg (<< 4:14.0.0~), kile-trinity-i18n-bg (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-bg (<< 4:14.0.0~), kile-trinity-i18n-bg (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-bg-trinity
Provides: kile-trinity-i18n
Description: Bulgarian (bg) translations for Kile [Trinity]
 This package contains the Bulgarian translations for Kile.

Package: kile-trinity-i18n-br
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-br (<< 4:14.0.0~), kile-trinity-i18n-br (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-br (<< 4:14.0.0~), kile-trinity-i18n-br (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-br-trinity
Provides: kile-trinity-i18n
Description: Brazilian (br) translations for Kile [Trinity]
 This package contains the Brazilian translations for Kile.

Package: kile-trinity-i18n-ca
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ca (<< 4:14.0.0~), kile-trinity-i18n-ca (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-ca (<< 4:14.0.0~), kile-trinity-i18n-ca (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-ca-trinity
Provides: kile-trinity-i18n
Description: Catalan (ca) translations for Kile [Trinity]
 This package contains the Catalan translations for Kile.

Package: kile-trinity-i18n-cs
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-cs (<< 4:14.0.0~), kile-trinity-i18n-cs (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-cs (<< 4:14.0.0~), kile-trinity-i18n-cs (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-cs-trinity
Provides: kile-trinity-i18n
Description: Czech (cs) translations for Kile [Trinity]
 This package contains the Czech translations for Kile.

Package: kile-trinity-i18n-cy
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-cy (<< 4:14.0.0~), kile-trinity-i18n-cy (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-cy (<< 4:14.0.0~), kile-trinity-i18n-cy (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-cy-trinity
Provides: kile-trinity-i18n
Description: Welsh (cy) translations for Kile [Trinity]
 This package contains the Welsh translations for Kile.

Package: kile-trinity-i18n-da
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-da (<< 4:14.0.0~), kile-trinity-i18n-da (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-da (<< 4:14.0.0~), kile-trinity-i18n-da (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-da-trinity
Provides: kile-trinity-i18n
Description: Danish (da) translations for Kile [Trinity]
 This package contains the Danish translations for Kile.

Package: kile-trinity-i18n-de
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-de (<< 4:14.0.0~), kile-trinity-i18n-de (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-de (<< 4:14.0.0~), kile-trinity-i18n-de (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-de-trinity
Provides: kile-trinity-i18n
Description: German (de) translations for Kile [Trinity]
 This package contains the German translations for Kile.

Package: kile-trinity-i18n-el
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-el (<< 4:14.0.0~), kile-trinity-i18n-el (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-el (<< 4:14.0.0~), kile-trinity-i18n-el (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-el-trinity
Provides: kile-trinity-i18n
Description: Greek (el) translations for Kile [Trinity]
 This package contains the greek translations for Kile.

Package: kile-trinity-i18n-engb
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-engb (<< 4:14.0.0~), kile-trinity-i18n-engb (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-engb (<< 4:14.0.0~), kile-trinity-i18n-engb (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-engb-trinity
Provides: kile-trinity-i18n
Description: British English (en_GB) translations for Kile [Trinity]
 This package contains the British English (en_GB) translations for Kile [Trinity].

Package: kile-trinity-i18n-es
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-es (<< 4:14.0.0~), kile-trinity-i18n-es (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-es (<< 4:14.0.0~), kile-trinity-i18n-es (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-es-trinity
Provides: kile-trinity-i18n
Description: Spanish (es) translations for Kile [Trinity]
 This package contains the Spanish translations for Kile.

Package: kile-trinity-i18n-et
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-et (<< 4:14.0.0~), kile-trinity-i18n-et (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-et (<< 4:14.0.0~), kile-trinity-i18n-et (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-et-trinity
Provides: kile-trinity-i18n
Description: Estonian (et) translations for Kile [Trinity]
 This package contains the Estonian translations for Kile.

Package: kile-trinity-i18n-eu
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-eu (<< 4:14.0.0~), kile-trinity-i18n-eu (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-eu (<< 4:14.0.0~), kile-trinity-i18n-eu (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-eu-trinity
Provides: kile-trinity-i18n
Description: Basque (eu) translations for Kile [Trinity]
 This package contains the Basque translations for Kile.

Package: kile-trinity-i18n-fi
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-fi (<< 4:14.0.0~), kile-trinity-i18n-fi (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-fi (<< 4:14.0.0~), kile-trinity-i18n-fi (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-fi-trinity
Provides: kile-trinity-i18n
Description: Finnish (fi) translations for Kile [Trinity]
 This package contains the Finnish translations for Kile.

Package: kile-trinity-i18n-fr
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-fr (<< 4:14.0.0~), kile-trinity-i18n-fr (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-fr (<< 4:14.0.0~), kile-trinity-i18n-fr (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-fr-trinity
Provides: kile-trinity-i18n
Description: French (fr) translations for Kile [Trinity]
 This package contains the French translations for Kile.

Package: kile-trinity-i18n-ga
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ga (<< 4:14.0.0~), kile-trinity-i18n-ga (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-ga (<< 4:14.0.0~), kile-trinity-i18n-ga (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-ga-trinity
Provides: kile-trinity-i18n
Description: Irish Gaelic (ga) translations for Kile [Trinity]
 This package contains the Irish Gaelic translations for Kile.

Package: kile-trinity-i18n-gl
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-gl (<< 4:14.0.0~), kile-trinity-i18n-gl (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-gl (<< 4:14.0.0~), kile-trinity-i18n-gl (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-gl-trinity
Provides: kile-trinity-i18n
Description: Galician (gl) translations for Kile [Trinity]
 This package contains the Galician translations for Kile.

Package: kile-trinity-i18n-hi
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-hi (<< 4:14.0.0~), kile-trinity-i18n-hi (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-hi (<< 4:14.0.0~), kile-trinity-i18n-hi (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-hi-trinity
Provides: kile-trinity-i18n
Description: Hindi (hi) translations for Kile [Trinity]
 This package contains the Hindi translations for Kile.

Package: kile-trinity-i18n-hu
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-hu (<< 4:14.0.0~), kile-trinity-i18n-hu (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-hu (<< 4:14.0.0~), kile-trinity-i18n-hu (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-hu-trinity
Provides: kile-trinity-i18n
Description: Hungarian (hu) translations for Kile [Trinity]
 This package contains the Hungarian translations for Kile.

Package: kile-trinity-i18n-is
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-is (<< 4:14.0.0~), kile-trinity-i18n-is (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-is (<< 4:14.0.0~), kile-trinity-i18n-is (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-is-trinity
Provides: kile-trinity-i18n
Description: Icelandic (is) translations for Kile [Trinity]
 This package contains the Icelandic translations for Kile.

Package: kile-trinity-i18n-it
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-it (<< 4:14.0.0~), kile-trinity-i18n-it (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-it (<< 4:14.0.0~), kile-trinity-i18n-it (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-it-trinity
Provides: kile-trinity-i18n
Description: Italian (it) translations for Kile [Trinity]
 This package contains the Italian translations for Kile.

Package: kile-trinity-i18n-ja
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ja (<< 4:14.0.0~), kile-trinity-i18n-ja (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-ja (<< 4:14.0.0~), kile-trinity-i18n-ja (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-ja-trinity
Provides: kile-trinity-i18n
Description: Japanese (ja) translations for Kile [Trinity]
 This package contains the Japanese translations for Kile.

Package: kile-trinity-i18n-lt
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-lt (<< 4:14.0.0~), kile-trinity-i18n-lt (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-lt (<< 4:14.0.0~), kile-trinity-i18n-lt (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})
Recommends: tde-i18n-lt-trinity
Provides: kile-trinity-i18n
Description: Lithuanian (lt) translations for Kile [Trinity]
 This package contains the Lithuanian translations for Kile.

Package: kile-trinity-i18n-ms
Architecture: all
Section: tex
Replaces: kile-kde3-i18n-ms (<< 4:14.0.0~), kile-trinity-i18n-ms (<< 4:14.0.0~)
Breaks: kile-kde3-i18n-ms (<< 4:14.0.0~), kile-trinity-i18n-ms (<< 4:14.0.0~)
Depends: kile-trinity (>= ${source:Version})

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
+DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
 DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
 DEB_CONFIGURE_PREFIX := /opt/trinity
 DEB_CONFIGURE_INFODIR := /opt/trinity/share/info
@@ -15,7 +15,7 @@
 DEB_CONFIGURE_SCRIPT_ENV += LDFLAGS="-Wl,--as-needed"
 DEB_DH_INSTALL_ARGS := --sourcedir=debian/tmp
 DEB_INSTALL_MANPAGES_kile := debian/kile.1
-DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde
+DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde
 
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)
@@ -23,10 +23,15 @@
 post-patches:: debian/stamp-bootstrap
 
 debian/stamp-bootstrap:
-	! [ -f /usr/share/libtool/ltmain.sh ] || \
+ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
 	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
-	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
+endif
+ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
 	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
+endif
+ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
+	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
+endif
 	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
 	
 	make -f admin/Makefile.common cvs
@@ -58,9 +63,3 @@
 
 clean::
 	rm -rf debian/kile-trinity-i18n-*
-
-get-orig-source:
-	@@dh_testdir
-	@@[ -d ../tarballs/. ]
-	@@dpatch-get-origtargz ../tarballs
-
